/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\mobiles\pets\SaintHorse.cs
Lines of code: 103
***********************************************************/


using System;
using Server.Mobiles;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "the remains of a saint mount" )]
	public class SaintHorse : BaseMount
	{
		[Constructable] 
		public SaintHorse() : this( "a holy war horse" )
		{
		}

		[Constructable]
		public SaintHorse( string name ) : base( name, 284, 0x3EBB, AIType.AI_Animal, FightMode.Evil, 10, 1, 0.2, 0.4 )
		{
			ItemID = 16018;
			Hue = 1150;
			SetStr( 750, 850 );
			SetDex( 201, 310 );
			SetInt( 401, 515 );

			SetHits( 600, 800 );

			SetDamage( 20, 29 );

			SetDamageType( ResistanceType.Physical, 60 );
			SetDamageType( ResistanceType.Energy, 40 );

			SetResistance( ResistanceType.Physical, 55, 60 );
			SetResistance( ResistanceType.Fire, 20 );
			SetResistance( ResistanceType.Cold, 70 );
			SetResistance( ResistanceType.Energy, 50, 70 );
			SetResistance( ResistanceType.Poison, 99 );

			SetSkill( SkillName.MagicResist, 100.0, 150.0 );
			SetSkill( SkillName.Tactics, 70.5, 100.0 );
			SetSkill( SkillName.Wrestling, 90.1, 110.0 );

			Tamable = true;
			ControlSlots = 4;
			MinTameSkill = 105.5;


			Fame = 22500;
			Karma = 22500;
		}

		public override double GetControlChance( Mobile m )
		{
			if ( m.Skills.Chivalry.Value >= 120.0 )
				return 1.0;

			return base.GetControlChance( m );
		}

		public override int GetAngerSound()
		{
			return 0x2F8;
		}

		public override int GetIdleSound()
		{
			return 0x2F8;
		}

		public override int GetAttackSound()
		{
			return Utility.Random( 0x2F5, 2 );
		}

		public override int GetHurtSound()
		{
			return 0x2F9;
		}

		public override int GetDeathSound()
		{
			return 0x2F7;
		}

	

		public override Poison PoisonImmune{ get{ return Poison.Lethal; } }
		public override bool HasBreath{ get{ return true; } } // fire breath enabled
		public override int BreathEffectHue{ get{ return 2401; } }
		public override bool BardImmune{ get{ return !Core.SE; } }
		public override bool Unprovokable{ get{ return Core.SE; } }
		public override bool Uncalmable{ get{ return Core.SE; } }
		public override bool StatLossAfterTame{ get{ return true; } }
		public override bool AutoDispel{ get{ return !Controlled; } }
		public override bool InitialInnocent{ get{ return true; } }
		public override FoodType FavoriteFood{ get{ return FoodType.FruitsAndVegies | FoodType.GrainsAndHay; } }

		public override WeaponAbility GetWeaponAbility()
		{
			switch ( Utility.Random( 3 ) )
			{
				default:
				case 0: return WeaponAbility.DoubleStrike;
				case 1: return WeaponAbility.CrushingBlow;
				case 2: return WeaponAbility.BleedAttack;
			}
		}

		public override OppositionGroup OppositionGroup
		{
			get{ return OppositionGroup.FeyAndUndead; }
		}

		public SaintHorse( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}


		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}